# List attached companies for contact

You can fetch a list of companies that are associated to a contact.

Endpoint: GET /contacts/{contact_id}/companies
Version: 2.15
Security: bearerAuth

## Path parameters:

  - `contact_id` (string, required)
    The unique identifier for the contact which is given by Intercom
    Example: "63a07ddf05a32042dffac965"

## Header parameters:

  - `Intercom-Version` (string)
    Intercom API version.By default, it's equal to the version set in the app package.
    Enum: "1.0", "1.1", "1.2", "1.3", "1.4", "2.0", "2.1", "2.2", "2.3", "2.4", "2.5", "2.6", "2.7", "2.8", "2.9", "2.10", "2.11", "2.12", "2.13", "2.14"

## Response 200 fields (application/json):

  - `type` (string)
    The type of object
    Enum: "list"

  - `companies` (array)
    An array containing Company Objects

  - `companies.type` (string)
    Value is company
    Enum: "company"

  - `companies.id` (string)
    The Intercom defined id representing the company.
    Example: "531ee472cce572a6ec000006"

  - `companies.name` (string)
    The name of the company.
    Example: "Blue Sun"

  - `companies.app_id` (string)
    The Intercom defined code of the workspace the company is associated to.
    Example: "ecahpwf5"

  - `companies.plan` (object)

  - `companies.plan.type` (string)
    Value is always "plan"
    Example: "plan"

  - `companies.plan.id` (string)
    The id of the plan
    Example: "269315"

  - `companies.plan.name` (string)
    The name of the plan
    Example: "Pro"

  - `companies.company_id` (string)
    The company id you have defined for the company.
    Example: "6"

  - `companies.remote_created_at` (integer)
    The time the company was created by you.
    Example: 1663597223

  - `companies.created_at` (integer)
    The time the company was added in Intercom.
    Example: 1663597223

  - `companies.updated_at` (integer)
    The last time the company was updated.
    Example: 1663597223

  - `companies.last_request_at` (integer)
    The time the company last recorded making a request.
    Example: 1663597223

  - `companies.size` (integer)
    The number of employees in the company.
    Example: 100

  - `companies.website` (string)
    The URL for the company website.
    Example: "https://www.intercom.com"

  - `companies.industry` (string)
    The industry that the company operates in.
    Example: "Software"

  - `companies.monthly_spend` (integer)
    How much revenue the company generates for your business.
    Example: 100

  - `companies.session_count` (integer)
    How many sessions the company has recorded.
    Example: 100

  - `companies.user_count` (integer)
    The number of users in the company.
    Example: 100

  - `companies.custom_attributes` (object)
    The custom attributes you have set on the company.
    Example: {"paid_subscriber":true,"monthly_spend":155.5,"team_mates":9}

  - `companies.tags` (object)
    The list of tags associated with the company

  - `companies.tags.type` (string)
    The type of the object
    Enum: "tag.list"

  - `companies.tags.tags` (array)

  - `companies.tags.tags.type` (string)
    value is "tag"
    Example: "tag"

  - `companies.tags.tags.id` (string)
    The id of the tag
    Example: "123456"

  - `companies.tags.tags.name` (string)
    The name of the tag
    Example: "Test tag"

  - `companies.segments` (object)
    The list of segments associated with the company

  - `companies.segments.type` (string)
    The type of the object
    Enum: "segment.list"

  - `companies.segments.segments` (array)

  - `companies.segments.segments.type` (string)
    The type of object.
    Enum: "segment"

  - `companies.segments.segments.id` (string)
    The unique identifier representing the segment.
    Example: "56203d253cba154d39010062"

  - `companies.segments.segments.name` (string)
    The name of the segment.
    Example: "Active"

  - `companies.segments.segments.created_at` (integer)
    The time the segment was created.
    Example: 1394621988

  - `companies.segments.segments.updated_at` (integer)
    The time the segment was updated.
    Example: 1394622004

  - `companies.segments.segments.person_type` (string)
    Type of the contact: contact (lead) or user.
    Enum: "contact", "user"

  - `companies.segments.segments.count` (integer,null)
    The number of items in the user segment. It's returned when include_count=true is included in the request.
    Example: 3

  - `total_count` (integer)
    The total number of companies associated to this contact
    Example: 100

  - `pages` (object)
    The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.

Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.

  - `pages.type` (string)
    Enum: "pages"

  - `pages.page` (integer)
    Example: 1

  - `pages.next` (string,null)
    A link to the next page of results. A response that does not contain a next link does not have further data to fetch.

  - `pages.per_page` (integer)
    Example: 50

  - `pages.total_pages` (integer)
    Example: 1

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: "error.list"

  - `request_id` (string,null)
    Example: "f93ecfa8-d08a-4325-8694-89aeb89c8f85"

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: "unauthorized"

  - `errors.message` (string,null)
    Optional. Human readable description of the error.
    Example: "Access Token Invalid"

  - `errors.field` (string,null)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: "email"


